#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    char string_eq_const_0_0[8] = { 0 };
    char string_eq_const_1_0[8] = { 0 };
    char string_eq_const_2_0[6] = { 0 };

    if (size < 19)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&string_eq_const_0_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_1_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_2_0, &data[i], 5);
    i += 5;


    if (strcmp(string_eq_const_0_0, "NH[c>VC") == 0)
    if (strcmp(string_eq_const_1_0, "lZCbv3m") == 0)
    if (strcmp(string_eq_const_2_0, "L=S],") == 0)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
